##########################################################################
# Copyright 2020 MBARI                                             
##########################################################################
# Summary  : Top-level Makefile for inspEnergyBatt project
# Filename : Makefile
# Author   : Barker
# Project  : 
# Version  : Version 1.0
# Created  : 1/27/2020
# Archived :
##########################################################################

MAKEFILE = Makefile

ALL:	all

clean:
	@echo "Cleaning Inspired Energy Battery Drivers..."
	cd src; make clean
	@echo "Cleaning test code..."
	cd test; make clean

driver:
	@echo "Making Inspired Energy Battery Drivers..."
	cd src; make all

tests:
	@echo "Making test code..."
	cd test; make all

all:
	@echo "Making Inspired Energy Battery Drivers..."
	cd src; make all
	# Commenting this out for now since GoogleTests won't compile under QNX
	# @echo "Making test code..."
	# cd test; make all
install:
	@echo "Installing Insp Energy Battery Drivers..."
	cd src; make install $(AUV)/bin/. 